This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 904103 - (CVE-2013-0232) CVE-2013-0232 zoneminder: Arbitrary code execution due improper input sanitization in the 'setDeviceStatusX10' routine
CVE-2013-0232 zoneminder: Arbitrary code execution due improper input sanitiz...
Status: ASSIGNED
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20130122,repor...
: Security
Depends On: 904104
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-25 08:13 EST by Jan Lieskovsky
Modified: 2015-07-31 02:57 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2013-01-25 08:13:58 EST
A security flaw was found in the way ZoneMinder, a camera monitoring and analysis tool, sanitized user provided input in certain circumstances. A remote authenticated user could use this flaw to execute arbitrary code with the privileges of the user running the web server.

References:
[1] http://www.openwall.com/lists/oss-security/2013/01/25/6
[2] http://itsecuritysolutions.org/2013-01-22-ZoneMinder-Video-Server-arbitrary-command-execution-vulnerability/
[3] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=698910

Public PoC:
[4] https://github.com/rapid7/metasploit-framework/pull/1354
Comment 1 Jan Lieskovsky 2013-01-25 08:15:18 EST
This issue affects the versions of the zoneminder package, as shipped with Fedora release of 16, 17, and 18. Please schedule an update (once there is final upstream patch available).
Comment 2 Jan Lieskovsky 2013-01-25 08:15:58 EST
Created zoneminder tracking bugs for this issue

Affects: fedora-all [bug 904104]
Comment 3 Jason Tibbitts 2013-01-25 12:09:29 EST
Wow, I don't even see any evidence that upstream even knows about this.  They don't have mailing lists and there's no discussion on the forums.  Will watch for any patch, but PHP is far from my best language so I'm not going to poke at this myself, especially when I have no chance of testing the X10 stuff.  Fortunately it requires admin authentication first, and zoneminder is selinux-confined now, so it's not a huge emergency.
Comment 4 Vincent Danen 2013-01-28 16:26:21 EST
Jason, are you on the upstream forums?  Are you able to maybe bring to their attention that this flaw exists (point them to this bug perhaps, or one of the references noted in #c0)?

As an aside, this was just assigned CVE-2013-0232.
Comment 5 Jason Tibbitts 2013-01-28 16:33:46 EST
Yeah, I did so last week:

http://www.zoneminder.com/forums/viewtopic.php?f=29&t=20771

I'd update that forum with the CVE link but it seem to go anywhere yet.
Comment 6 Salvatore Bonaccorso 2013-02-10 16:28:39 EST
Hi Jason and Vincent

In the Debian BTS[1] there is now a first patch for this.

 [1]: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=698910#23
Comment 7 Andrew Bauer 2013-09-05 21:52:59 EDT
This has been fixed upstream:
https://github.com/ZoneMinder/ZoneMinder/issues/93

Note You need to log in before you can comment on or make changes to this bug.